%initialization for the synchronization of fireflies example

clear all                                                               
                                                                        
% initial conditions                                                    
x1_0 = [.5];                                                            
x2_0 = [0];                                                             

%biological coefficient for jump in periodic cycle
e = 0.3;

% simulation horizon                                                    
T = 15;                                                                 
J = 15;                                                                 
                                                                        
% rule for jumps                                                        
% rule = 1 -> priority for jumps                                        
% rule = 2 -> priority for flows                                        
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;                                                               
                                                                        
%solver tolerances
RelTol = 1e-8;
MaxStep = .005;